
D4Science Infrastructure - Incident #4862

Gateway email parser cannot connect to pop.isti.cnr.it, 995 due to ConnectException

Aug 22, 2016 12:50 PM - Massimiliano Assante

Status: Closed Start date: Aug 22, 2016

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

Since August 8th, the Gateway email parser cannot connect to pop.isti.cnr.it, 995 due to ConnectException

com.sun.mail.util.MailConnectException: Couldn't connect to host, port: pop.isti.cnr.it, 995; time

out -1;

  nested exception is:

    java.net.ConnectException: Connection timed out

Related issues:

Related to D4Science Infrastructure - Task #4909: Enable Gateway email parser... Closed Aug 31, 2016 Sep 16, 2016

History

#1 - Aug 22, 2016 12:51 PM - Massimiliano Assante

- Description updated

#2 - Aug 22, 2016 02:25 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 10

Probably due to the new dnscache config, pop.isti.cnr.it is resolved to the external IP, not the 146.48.80.25

I'm triyng to workaround with the internal IP in /etc/hosts, let's check if this temporarely solves the problem.

#3 - Aug 29, 2016 04:25 PM - Massimiliano Assante

- Priority changed from High to Urgent

the Gateway email parser still cannot connect to pop.isti.cnr.it, 995 due to ConnectException

#4 - Aug 30, 2016 02:39 PM - Massimiliano Assante

As we are not able to contact the responsible for the pop isti server, I'm going to implement a temporary fix on the email parser that is going to allow

to change the polling interval at runtime.

#5 - Aug 30, 2016 06:23 PM - Massimiliano Assante

patch is ready, going to deploy it around 19 today. (although it won't solve the problem completely)

#6 - Aug 30, 2016 07:50 PM - Massimiliano Assante

- % Done changed from 10 to 30

runs every 5 minutes now, configurable by editing the property (pop3pollinginminutes) on CATALINA_HOME/conf/gcube-data.properties file

#8 - Aug 31, 2016 06:15 PM - Massimiliano Assante

In the next release the Email parser allows not only to change the polling interval but also to exit the process by setting a polling interval < 1.

Apart from this it seems that 5 minutes are enough for not receiving ConnectException by pop isti. However I believe that 5 minutes is a long time to

react to a post reply or soever. The issue remains, perhaps 2 minutes would be ok.

#9 - Aug 31, 2016 06:20 PM - Massimiliano Assante
- Status changed from In Progress to Closed

- % Done changed from 30 to 100

I'm closing the incident as we have a temporary fix, will create a task to work on the ConnectException issue if polling time is less than 5 minutes.

#10 - Aug 31, 2016 06:20 PM - Massimiliano Assante

- Related to Task #4909: Enable Gateway email parser to connect every minute to pop.isti.cnr.it, 995  added
